Summary: An Internet Relay Chat (IRC) client.
Name: ircii
Version: 4.4
Release: 7
Copyright: distributable
Group: Applications/Internet
Source0: ftp://ftp.funet.fi/pub/ircII/ircii-4.4.tar.gz
Source1: ircii.wmconfig
Patch0: ircii-4.4-dumbi18n.patch
Buildroot: /var/tmp/%{name}-root
Obsoletes: ircii-help

%description
IrcII is a popular Internet Relay Chat (IRC) client.  IRC clients
communicate with IRC servers, enabling users to "chat" via the Internet.

Install ircii if you want to participate in chat rooms.

%prep
%setup -q
%patch0 -p1

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
ln -sf irc-4.4 $RPM_BUILD_ROOT/usr/bin/irc

touch $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.mit.edu" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.escape.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.texas.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.eskimo.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
chmod 644 $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers

mkdir -p $RPM_BUILD_ROOT/etc/X11
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/ircii.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/ircii

strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/irc
/usr/bin/irc-4.4
/usr/bin/ircbug
/usr/bin/ircio
/usr/bin/ircflush
/usr/bin/wserv
/usr/lib/irc/script
/usr/lib/irc/translation
/usr/lib/irc/ircII.servers
/etc/X11/wmconfig/ircii

/usr/lib/irc/help
%doc doc/*

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for RH 6.0

* Sun Nov 15 1998 Jeff Johnson <jbj@redhat.com>
- permit i18n when run in dumb mode (Alexander Trump <assa@assa.tlt.ru>)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- obsoletes ircii-help (donnie, don't do ever that again!)

* Wed Jun 03 1998 <djb@redhat.com>
- moved help stuff into main package

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 4.4
- changed to use a build root

* Wed Nov  5 1997 Otto Hammersmith <otto@redhat.com>
- moved wmconfig file from ircii-help file list

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- use termios, not termio

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added Erik's patch to fix file closing brokenness.

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated source urls

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

